package net.sergeych.synctools

/**
 * Platform-independent interface to thread wait/notify. Does nothing in JS/browser,
 * and uses appropriate mechanics on other platforms.
 *
 * Wasm is effictively songle threaded at the moment
 */
@Suppress("EXPECT_ACTUAL_CLASSIFIERS_ARE_IN_BETA_WARNING")
actual class WaitHandle {
    actual fun await(milliseconds: Long): Boolean {
        // in JS we can't wait: no threads
        return true
    }

    actual fun wakeUp() {
        // in JS we can't wait: no threads
    }
}